Skip to main content
POST
/
amlyze-ws-rest
/
validate-batch-operations
Validate Batch Operations
curl --request POST \
  --url 'https://{{baseUrl}}/amlyze-ws-rest/validate-batch-operations' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "operations": [
    {
      "amount": 123,
      "communicationNumber": "<string>",
      "currency": "<string>",
      "description": "<string>",
      "financialFlowDirection": "INCOMING",
      "listOperationParty": [
        {
          "accountNumber": "<string>",
          "entityType": "INDIVIDUAL",
          "partyRole": "CREDITOR",
          "accountExtId": "<string>",
          "address": "<string>",
          "bankTitle": "<string>",
          "bic": "<string>",
          "cardHolderName": "<string>",
          "cardNumber": "<string>",
          "cardValidTill": "<string>",
          "country": "<string>",
          "currency": "<string>",
          "firstName": "<string>",
          "identifier": "<string>",
          "lastName": "<string>",
          "title": "<string>"
        }
      ],
      "operationDateTime": "2023-11-07T05:31:56Z",
      "operationExtId": "<string>",
      "operationType": "<string>",
      "requester": "<string>",
      "riskManagementCategory": "<string>",
      "amountInEquivalent": 123,
      "amountInEuro": 123,
      "businessUnit": "<string>",
      "cardOperationSubType": "<string>",
      "dateAuthorized": "2023-11-07T05:31:56Z",
      "dateSettled": "2023-11-07T05:31:56Z",
      "destinationCountry": "<string>",
      "euroExchangeRate": 123,
      "exchangeRate": 123,
      "fastPayment": true,
      "ipAddress": "<string>",
      "ipAddressCountry": "<string>",
      "merchantCode": "<string>",
      "merchantCountryCode": "<string>",
      "merchantDescription": "<string>",
      "merchantExtId": "<string>",
      "merchantName": "<string>",
      "operationStatus": "EXECUTED",
      "riskLevel": "EXTREME",
      "salesPointCode": "<string>",
      "salesPointExtId": "<string>",
      "sourceCountry": "<string>",
      "terminalCode": "<string>",
      "terminalExtId": "<string>"
    }
  ]
}
'
{
  "errorCode": "<string>",
  "errorDescription": "<string>",
  "results": [
    {
      "businessUnit": "<string>",
      "communicationNumber": "<string>",
      "errorCode": "<string>",
      "errorDescription": "<string>",
      "operationExtId": "<string>",
      "resultType": "REQUEST_ACCEPTED",
      "timeElapsedMs": 123
    }
  ],
  "timeElapsedMs": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
operations
object[]
required

Response

200 - */*

OK

errorCode
string
errorDescription
string
results
object[]
timeElapsedMs
integer<int64>